#
# spec file for package perl-Parse-MIME
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Parse-MIME
Name:           perl-Parse-MIME
Version:        1.006
Release:        1.7
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Parse mime-types, match against media ranges
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AR/ARISTOTLE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(JSON::PP)
%{perl_requires}

%description
This module provides basic functions for handling mime-types. It can handle
matching mime-types against a list of media-ranges. See section 14.1 of the
HTTP specification [RFC 2616] for a complete explanation:
http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.1

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Thu Aug 11 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.006
  see /usr/share/doc/packages/perl-Parse-MIME/Changes
* Fri Jan 22 2021 Frank Schreiner <FSchreiner@suse.com>
- initial package 1.005
  * created by cpanspec 1.80.01
